## slocate-3.1.tar.gz

=== Makefile ===
all: 
	make -C src
install:
	make -C src install
	install -d -m 0755 /usr/local/man/man1
	install -m 0644 -o root -g root doc/slocate.1 /usr/local/man/man1
	
uninstall:
	make -C src uninstall
	rm -f /usr/local/man/man1/slocate.1

clean:
	make -C src clean

debclean:
	fakeroot debian/rules clean
