=== src/Makefile ===
OBJS=slocate.o cmds.o conf.o utils.o
HEADERS=slocate.h cmds.h conf.h utils.h
	
CFLAGS=-Wall -Wshadow
CFLAGS+=-O2
#CFLAGS+=-g3
#LDFLAGS+=-lefence

PROG=slocate
CC=gcc

all: $(OBJS) $(MOD_OBJS)
	$(CC) $(LDFLAGS) -o $(PROG) $(OBJS) $(MOD_OBJS)

%.o: %.c $(HEADERS)
	$(CC) -c $(CFLAGS) -o $@ $<

install:
	-groupadd slocate
	install -m 2755 -o root -g slocate slocate /usr/local/bin/
	
uninstall:
	rm -f /usr/local/bin/slocate
	
clean:
	rm -f $(PROG) $(OBJS)

debclean:
	fakeroot debian/rules clean

.PHONY: install clean debclean
