=== debian/control ===
Source: slocate
Section: utils
Priority: extra
Maintainer: Kevin Lindsay <klindsay@debian.org>
Standards-Version: 3.6.2.1
Build-Depends: debhelper (>= 5.0.7)

Package: slocate
Architecture: any
Depends: ${shlibs:Depends}, adduser, dpkg (>= 1.8.1)
Conflicts: dlocate (<< 0.5-0.1)
Suggests: anacron
Description: Secure replacement of findutil's locate
 This locate can index all files on your system, but only files and
 directories which the invoking user has access to will be displayed.
 .
 Note: If your computer is not up 24/7 you should consider installing anacron
 since the database is only updated once a night.
